메인 콘텐츠로 건너뛰기
GET
/
api
/
v1
/
transactions
List Transactions
curl --request GET \
  --url https://api.agentwallex.com/api/v1/transactions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "hash": "<string>",
      "agent_id": "<string>",
      "direction": "outbound",
      "type": "transfer",
      "from_address": "<string>",
      "to_address": "<string>",
      "amount": "<string>",
      "token": "<string>",
      "chain": "<string>",
      "fee": "<string>",
      "status": "pending",
      "memo": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}
계정 전체 또는 에이전트 및 상태별로 필터링된 거래를 조회합니다.

쿼리 매개변수

page_num
integer
기본값:"1"
페이지 번호 (1부터 시작).
page_size
integer
기본값:"20"
페이지당 항목 수. 최대: 100.
agent_id
string
에이전트 ID로 필터링.
status
string
거래 상태로 필터링. 값: pending, confirmed, failed.

응답

예시

curl -X GET "https://api.agentwallex.com/api/v1/transactions?agent_id=agent_abc123&status=confirmed&page_size=50" \
  -H "X-API-Key: awx_your_api_key"
Response
{
  "data": [
    {
      "id": "tx_xyz789",
      "hash": "0xabc123def456...",
      "agent_id": "agent_abc123",
      "direction": "outbound",
      "to_address": "0xabcd...ef12",
      "amount": "10.5",
      "token": "USDC",
      "chain": "eip155:84532",
      "status": "confirmed",
      "created_at": "2025-06-15T14:30:00Z"
    }
  ],
  "total": 25,
  "has_more": true
}

인증

X-API-Key
string
header
필수

API key authentication. Keys are prefixed with awx_.

쿼리 매개변수

page_num
integer
기본값:1

Page number (1-indexed).

필수 범위: x >= 1
page_size
integer
기본값:20

Number of items per page.

필수 범위: 1 <= x <= 100
agent_id
string

Filter by agent ID.

status
enum<string>

Filter by transaction status.

사용 가능한 옵션:
pending,
confirmed,
failed

응답

Paginated list of transactions.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.